library TradeTotalClothStk;

uses
  SysUtils,
  classes,
  forms,
  WinTypes,
  WinProcs,
  midaslib,
  U_GetDllForm in 'U_GetDllForm.pas',
  U_DataLink in 'U_DataLink.pas' {DataLink_TradeTotalClothStk: TDataModule},
  U_iniParam in 'U_iniParam.pas',
  U_BaseHelp in '..\..\..\public10\design\U_BaseHelp.pas' {frmBaseHelp},
  U_BaseInput in '..\..\..\public10\design\U_BaseInput.pas' {frmBaseInput},
  U_BaseList in '..\..\..\public10\design\U_BaseList.pas' {frmBaseList},
  U_cxGridCustomCss in '..\..\..\public10\design\U_cxGridCustomCss.pas',
  U_globalVar in '..\..\..\public10\design\U_globalVar.pas',
  U_WindowFormdesign in '..\..\..\public10\design\U_WindowFormdesign.pas',
  U_CompressionFun in '..\..\..\public10\ThreeFun\Fun\U_CompressionFun.pas',
  U_RTFun in '..\..\..\public10\ThreeFun\Fun\U_RTFun.pas',
  U_AttachmentUpload in '..\A00通用窗体\U_AttachmentUpload.pas' {frmFjList_RZ},
  U_ClothInfoSel in '..\A00通用窗体\U_ClothInfoSel.pas' {frmClothInfoSel},
  U_EmployeeSel in '..\A00通用窗体\U_EmployeeSel.pas' {frmEmployeeSel},
  U_LabelMapSet in '..\A00通用窗体\U_LabelMapSet.pas' {frmLabelMapSet},
  U_LabelPrint in '..\A00通用窗体\U_LabelPrint.pas' {frmLabelPrint},
  U_TradePlanSel in '..\T00贸易通用窗体\U_TradePlanSel.pas' {frmTradePlanSel},
  U_TradeSalesContractSel in '..\T00贸易通用窗体\U_TradeSalesContractSel.pas' {frmTradeSalesContractSel},
  U_PurchaseContractSel in '..\T00贸易通用窗体\U_PurchaseContractSel.pas' {frmPurchaseContractSel},
  U_TradeClothOutInspList in 'U_TradeClothOutInspList.pas' {frmTradeClothOutInspList},
  U_PictureList in '..\A00通用窗体\U_PictureList.pas' {frmPictureList},
  U_CompanySel in '..\A00通用窗体\U_CompanySel.pas' {frmCompanySel},
  U_TradeGreyClothInEdit in 'U_TradeGreyClothInEdit.pas' {frmTradeGreyClothInEdit},
  U_ZDYHelp in '..\..\..\public10\ThreeFun\Form\U_ZDYHelp.pas' {frmZDYHelp};

{$R *.res}

procedure DllEnterPoint(dwReason: DWORD); far; stdcall;
begin
  DLLProc := @DLLEnterPoint;
  DllEnterPoint(DLL_PROCESS_ATTACH);
end;

procedure DLLUnloadProc(Reason: Integer); register;
begin
//  if (Reason = DLL_PROCESS_DETACH) or (Reason = DLL_THREAD_DETACH) then
//    Application := NewDllApp;
end;

exports
  GetDllForm;

begin
  try
    NewDllApp := Application;
    DLLProc := @DLLUnloadProc;
  except

  end;
end.

